> ## Documentation Index
> Fetch the complete documentation index at: https://docs.treasuryprime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a Tax Document



## OpenAPI

````yaml api-reference/openapi-account.json GET /account/{account_id}/tax_document/{id}
openapi: 3.1.0
info:
  contact:
    email: help@treasuryprime.com
    name: Treasury Prime Support
    url: https://support.treasuryprime.com
  summary: Banking APIs
  termsOfService: https://www.treasuryprime.com/policy/terms
  title: Account
  version: 1.18.581-gbba3b1de
servers:
  - description: Production
    url: https://api.treasuryprime.com
  - description: Sandbox
    url: https://api.sandbox.treasuryprime.com
security:
  - basicAuth: []
  - apiKey: []
paths:
  /account/{account_id}/tax_document/{id}:
    get:
      tags:
        - Account Documents
      summary: Get Tax Document
      parameters:
        - description: Account ID
          in: path
          name: account_id
          required: true
          schema:
            description: Account ID
            type: string
        - description: Tax document ID
          in: path
          name: id
          required: true
          schema:
            description: Tax document ID
            type: string
      responses:
        '200':
          content:
            application/json:
              examples:
                example:
                  summary: Success
                  value:
                    account_id: acct_2074732992
                    is_correction: false
                    status: pending
                    type: '1099'
                    url: >-
                      https://api.treasuryprime.com/account/acct_2074732992/statement/file_11khr0vt3vrgb
                    year: '2024'
              schema:
                properties:
                  account_id:
                    description: Account ID
                    type: string
                  error:
                    description: Error message describing why a tax document failed
                    type: string
                  id:
                    description: Tax document ID
                    type: string
                  is_correction:
                    type: boolean
                  skip_tin_verification:
                    description: >-
                      Boolean indicating whether TIN verification should be
                      skipped when filing the tax document. Defaults to false.
                      When tax filing is triggered, TIN verification is run
                      before the document is sent to the agency for filing. TIN
                      verification checks that the TIN and name of the payee on
                      tax document match to avoid failures after sending to the
                      IRS. TIN verification typically takes 24 hours. When this
                      flag is true, TIN verification is skipped when filing the
                      document
                    enum:
                      - 'true'
                      - 'false'
                    type: string
                  status:
                    description: Status of the statement
                    type: string
                  type:
                    description: 'Type of statement. One of: `1099`'
                    type: string
                  url:
                    description: URL to download the new statement
                    type: string
                  year:
                    description: Statement year in `YYYY` format
                    type: string
          description: The account.tax_document
components:
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http
    apiKey:
      bearerFormat: JWT
      scheme: bearer
      type: http

````